跳转到内容

协会已发布的活动,包括仅限会员的活动

GET
/v1/events
curl --request GET \
--url 'https://api.vimine.network/v1/events?filter=upcoming' \
--header 'Authorization: Bearer <token>'
locale

读取协会文案所用的语言(it、en)。默认依次为:会员自己的语言(使用会员令牌时)、Accept-Language、协会的语言。每段文本在协会用已启用的该语言撰写了译文时返回译文,否则返回其意大利语文本:响应中的 locale 说明标题实际返回的是哪种语言,locales 说明有哪些语言。不支持的值会被忽略

string
filter
string
允许的值: upcoming past cancelled all
from
string 格式: date-time
to
string 格式: date-time
limit
integer
>= 1 <= 200

活动列表

媒体类型application/json
object
items
Array<object>
object
id
string 格式: uuid
slug
string
locale

title 实际返回的语言。如果不是您请求的语言,说明协会没有译文:您拿到的是其意大利语文本,而不是机器翻译

string
locales

该活动有标题的语言——始终包括协会自身的语言,以及协会启用并撰写了标题的语言

Array<string>
title
string
summary
string
可为 null
description_md

Markdown;请自行渲染

string
可为 null
starts_at
string 格式: date-time
ends_at
string 格式: date-time
可为 null
timezone
string
status
string
允许的值: published completed cancelled
visibility
string
允许的值: members_only public
location
object
name
string
可为 null
address
string
可为 null
lat
number
可为 null
lng
number
可为 null
cover_url
string
可为 null
gallery
Array<object>
object
url
string
alt
string
可为 null
order
integer
links
Array<object>
object
label
string
url
string
registration
object
opens_at
string 格式: date-time
可为 null
closes_at
string 格式: date-time
可为 null
capacity
integer
可为 null
remaining
integer
可为 null
cancellation_hours
integer
registration_types
Array<object>
object
uid
string 格式: uuid
cod
string
name
string
description
string
可为 null
amount

0 = 免费

number
currency
string
quantity
integer
可为 null
remaining

剩余名额(绝不显示由谁占有)

integer
可为 null
max_per_user
integer
requires_active_membership
boolean
open
boolean
reason
string
可为 null
允许的值: sold_out registration_not_open registration_closed
opens_at
string 格式: date-time
可为 null
closes_at
string 格式: date-time
可为 null
published_at
string 格式: date-time
可为 null
cancelled_at
string 格式: date-time
可为 null
cancel_reason
string
可为 null
示例
{
"items": [
{
"status": "published",
"visibility": "members_only",
"registration_types": [
{
"reason": "sold_out"
}
]
}
]
}

请求无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少凭据或凭据无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

无权操作

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

未找到

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

已触发速率限制

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

内部错误

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}